<?php

namespace App\Http\Controllers;

use App\Models\{
    LocalIndustriel,
    Bien
};
use Illuminate\Http\Request;

class LocalIndustrielController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, $bienId)
    {
        $local = LocalIndustriel::create($request->all());
        Bien::where('id',$bienId)->update(['local_industriel_id' => $local->id]);
        $bienId = Bien::find($bienId);

        return redirect()->route('flux.create',['bienId' => $bienId]);
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\LocalIndustriel  $localIndustriel
     * @return \Illuminate\Http\Response
     */
    public function show(LocalIndustriel $localIndustriel)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\LocalIndustriel  $localIndustriel
     * @return \Illuminate\Http\Response
     */
    public function edit(LocalIndustriel $localIndustriel)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\LocalIndustriel  $localIndustriel
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, LocalIndustriel $localIndustriel)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\LocalIndustriel  $localIndustriel
     * @return \Illuminate\Http\Response
     */
    public function destroy(LocalIndustriel $localIndustriel)
    {
        //
    }
}
